---
wsId: kelta
title: KELTA - Buy & Sell Bitcoin
altTitle: 
authors:
- danny
users: 10000
appId: com.kelta.app
appCountry: sk
released: 2018-05-15
updated: 2021-11-22
version: 3.1.1
stars: 2.9
ratings: 1251
reviews: 1104
size: 4.3M
website: https://kelta.com/
repository: 
issue: 
icon: com.kelta.app.jpg
bugbounty: 
meta: ok
verdict: custodial
date: 2021-09-23
signer: 
reviewArchive: 
twitter: 
social: 
redirect_from: 

---

### Caution
_We strongly advise users to exercise caution when using this app. See below._

It is apparent that English is not the primary language of the writer of their Google Play description, so we will try our best to paraphrase it. 

Kelta claims to be a wallet that supports multiple cryptocurrencies including BTC, ETH, DOGE, BCH, LTC and others. It also *claims* to allow users: 

> create your new source of long-term passive income thanks to blockchain technology

It has an ERC20 standard utility token called KELTA(KLT). Each of which it claims to:

> represent access to 1 watt of the data center’s capacity. Ownership of one token gives you unlimited access to one watt of the computing power your use for cryptographic operation. 

It also claims to give payouts every Monday

>PAYOUT EVERY MONDAY<br>
Payout is a revenue from the use of computing power and represents your passive income. Its amount depends on the number of KLT tokens you own and use, your activity, the use of cost reduction tools or the use of Blueprint service, which enables you to copy signals of successful users and increase your income.

The Kelta [whitepaper](https://kelta.com/preview-file/Kelta_WhitePaper.pdf) indicates that it held an ICO in 2018:

>KLT tokens will be available for purchase for a limited time by means of an initial coin offering (ICO). Tokens will be available for sale for 70 days, starting January 15, 2018 and ending March 25, 2018. During the pre-sale, tokens will be available for as low as $ 4.00 each, while a minimum purchase amount of 10,000 tokens will be enforced. During the token sale no minimum purchase is to be enforced, but the price of tokens will increase exponentially week by week.

Its [Terms and Conditions](https://kelta.com/preview-file/2021-06-10-KELTA-Cube-General-Business-Terms-and-Conditions.pdf) does raise a few questions about this specific phrase in Section IV - Deposits, Withdrawals and Transactions:

> 1. All transactions, deposits and withdrawals related to KELTA ́s services are carried out **primary in the USDT** currency, unless KELTA determines otherwise.<br>
2. It is also possible to make deposits in the Ethereum and Bitcoin currency. In this case, **it is necessary for the User to convert these cryptocurrencies into USDT via the KELTA App**. Transactions of purchase and sale of KLT tokens can be realized only in relation to USDT.

Furthermore, 

>Deposit  and  withdrawal  transfers  can  be  made  only  by  using a Digital  wallet  of  the  User  or  via a Cryptocurrency ATM.

As strange as all of these may seem, we were able to access the service via the web app, register and create a bitcoin wallet. Once the BTC wallet has been generated, we were able to generate a QR code for deposits. Withdrawal is also possible from the interface, but we did not test it with real funds.

### Google Play Reviews

> [Ronricas Stevenson](https://play.google.com/store/apps/details?id=com.kelta.app&reviewId=gp%3AAOqpTOEufHDBIwjlAZUd13tsAr8ss6Pth53fUm0zpAaFwVdbxv30MYwYHLbc4ESRFMFSthHd4xQc8LJEec7brvY)<br>
  ★☆☆☆☆ August 2, 2021 <br>
       I have an issue with this application. Now I am a crypto investor that once used this platform to make a passive income. Now that I no longer desire to use the platform. Any and all of my crypto earnings that was acquired while. Using the platform I am being hindered from WITHDRAWING what is rightfully mine. And I have sent numerous emailsfor the last 9 months without any responses. So I strongly advise anyone interested in using the KELTA PLATFORM NOT TO USE IT THIS IS A COMPANY THAT SCAMS.

> [Matthew Spiteri](https://play.google.com/store/apps/details?id=com.kelta.app&reviewId=gp%3AAOqpTOEzFCKt9KSp3S6oBIEHdcDpfZoa_Sc3oGSG0X5y1rKJ4iTvMwZkTb_f0EoIgWiN4W6GrtxoDx2ve7CAr6g)<br>
  ★☆☆☆☆ April 2, 2021 <br>
       Unfortunately I had an account for quite a long time. Everytime I try to log in now it says incorrect password even though I just reset my password. Tried contacting support a million times on different emails for months and no reply...this is really unfair as there are funds there and is rather unfair.

Kelta is a complex service that warrants [caution](https://twitter.com/KeltaInvestors/status/1086989423550427136) on the part of people who want to put funds in their platform. Even though there appears to be a mechanism to receive, store and send bitcoin on the site, we have qualms about its general nature, specifically the terms and conditions and the whitepaper itself. But with the facts that we've gathered, we can only label this as **custodial** and **not verifiable**.
